%define ver      0.6.1
%define rel       1
%define prefix   /usr

Summary: A Gnome/GTK Newsreader for X
Name: pan
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Internet
Source: ftp://source.rebelbase.com/pub/pan/pan-%{ver}.tar.gz
BuildRoot: /var/tmp/pan-%{PACKAGE_VERSION}-root
URL: http://www.superpimp.org/
Docdir: %{prefix}/doc

Requires: glib >= 1.2.5
Requires: gnome-libs >= 1.0.16


%description
Pimp Ass Newsreader (PAN)
-------------------------
This is alpha, so don't expect too much yet.
If you are upgrading from an older version
you might need to delete the configuration file
and data directory.  Usually ~/.gnome/Pan and ~/.pan

%prep
%setup

%build
%ifarch i386
CFLAGS="-O2" ./configure --prefix=%{prefix}
%endif
%ifarch i586
CFLAGS="-O2 -mpentium -march=pentium" ./configure --prefix=%{prefix}
%endif
%ifarch i686
CFLAGS="-O2 -mpentiumpro -march=pentiumpro" ./configure --prefix=%{prefix}
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{prefix}/bin/pan

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
