
/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __UTIL_H__
#define __UTIL_H__

gchar*  Pan_strbrk         (gchar *, gchar *);
gchar** String_Split       (gchar *, gchar *, gint);
gchar*  Pan_strtrim        (gchar *);
gchar*  tilde_expand       (gchar *);
gfloat  percent            (gint, gint);
void    not_implemented    (void);
void    clist_unselect_all (GtkWidget *);
gchar*  fgetline           (FILE *);
void    pan_error_dialog   (const gchar *, ...);
void    pan_lock           (void);
void    pan_unlock         (void);
void    directory_check    (gchar *);

#endif /* __UTIL_H__ */
